<!DOCTYPE html>
<html lang="en">
   <head>
       <meta charset="utf-8">
       <title>CI Report - <%= @title %></title>
   </head>
   <body>
       <header>
           <h1>CI Report - <%= @title %></h1>
       </header>
       <% if has_docker_report %>
           <section>
               <header>
                   <h2>Docker</h2>
               </header>
               <% @docker_reports.each do |image_name, report| %>
               <section>
                   <header>
                       <h3><%= image_name %></h3>
                   </header>
                   <ul>
                       <% report.each do |report_name, path| %>
                       <li>
                           <a href="<%= path %>"><%= report_name %></a>
                       </li>
                       <% end %>
                   </ul>
               </section>
               <% end %>
           </section>
       <% end %>

       <% if has_symfony_report %>
           <section>
               <header>
                   <h2>Symfony</h2>
               </header>
               <ul>
               <% @symfony_reports.each do |report_name, path| %>
                   <li>
                       <a href="<%= path %>"><%= report_name %></a>
                   </li>
               <% end %>
               </ul>
           </section>
       <% end %>

       <% if has_vuejs_report %>
       <section>
           <header>
               <h2>VueJS</h2>
           </header>
           <ul>
           <% @vuejs_reports.each do |report_name, path| %>
               <li>
                   <a href="<%= path %>"><%= report_name %></a>
               </li>
           <% end %>
           </ul>
       </section>
       <% end %>

       <% if @cypress_resources.length != 0 %>
       <section>
           <header>
               <h2>Cypress resources</h2>
           </header>
           <% @cypress_resources.each do |resource_name, resources| %>
           <section>
               <h3><%= resource_name %></h3>
           </section>
           <ul>
               <% resources.each do |name, path| %>
               <li>
                   <a href="<%= path %>"><%= name %></a>
               </li>
               <% end %>
           </ul>
           <% end %>
       </section>
       <% end %>
   </body>
</html>
